> ## Documentation Index
> Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://developers.fireblocks.com/feedback

```json
{
  "path": "/api-reference/contract-templates/list-all-contract-templates",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# List all contract templates

> Return minimal representation of all the contract templates available for the workspace.
Endpoint Permission: Admin, Non-Signing Admin, Signer, Approver, Editor, Viewer.



## OpenAPI

````yaml https://docs.fireblocks.com/api/v1/swagger.yaml get /tokenization/templates
openapi: 3.0.0
info:
  title: Fireblocks API
  description: >
    Fireblocks provides a suite of applications to manage digital asset
    operations and a complete development platform to build your business on the
    blockchain.


    - Visit our website for more information: [Fireblocks
    Website](https://fireblocks.com)

    - Visit our developer docs: [Fireblocks
    DevPortal](https://developers.fireblocks.com)
  version: 1.6.2
  contact:
    email: developers@fireblocks.com
servers:
  - url: https://api.fireblocks.io/v1
    description: Fireblocks Production Environment Base URL
  - url: https://sandbox-api.fireblocks.io/v1
    description: Fireblocks Sandbox Environment Base URL
security: []
paths:
  /tokenization/templates:
    get:
      tags:
        - Contract Templates
      summary: List all contract templates
      description: >-
        Return minimal representation of all the contract templates available
        for the workspace.

        Endpoint Permission: Admin, Non-Signing Admin, Signer, Approver, Editor,
        Viewer.
      operationId: getContractTemplates
      parameters:
        - name: limit
          required: false
          in: query
          description: Items per page (max 100)
          schema:
            minimum: 1
            maximum: 100
            default: 100
            type: number
        - name: offset
          required: false
          in: query
          description: Paging offset
          schema:
            minimum: 0
            default: 0
            type: number
        - name: pageCursor
          required: false
          in: query
          description: Page cursor to get the next page
          example: MjAyMy0xMi0xMyAyMDozNjowOC4zMDI=:MTEwMA==
          schema:
            type: string
        - name: pageSize
          required: false
          in: query
          description: >-
            Number of items per page, requesting more then max will return max
            items
          example: 10
          schema:
            minimum: 1
            maximum: 100
            type: number
        - name: type
          required: false
          in: query
          description: >-
            The type of the contract templates you wish to retrieve. Can accept
            one type, more or none
          example: FUNGIBLE_TOKEN
          schema:
            type: string
            enum:
              - FUNGIBLE_TOKEN
              - NON_FUNGIBLE_TOKEN
              - TOKEN_UTILITY
        - name: initializationPhase
          required: false
          description: >-
            For standalone contracts use ON_DEPLOYMENT and for contracts that
            are behind proxies use POST_DEPLOYMENT
          in: query
          schema:
            enum:
              - ON_DEPLOYMENT
              - POST_DEPLOYMENT
            type: string
      responses:
        '200':
          description: List of contract templates was returned successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TemplatesPaginatedResponse'
        default:
          $ref: '#/components/responses/Error'
      x-codeSamples:
        - lang: TypeScript
          source: >-
            const response:
            Promise<FireblocksResponse<TemplatesPaginatedResponse>> =
            fireblocks.contractTemplates.getContractTemplates(contractTemplatesApiGetContractTemplatesRequest);
        - lang: Java
          source: >-
            CompletableFuture<ApiResponse<TemplatesPaginatedResponse>> response
            = fireblocks.contractTemplates().getContractTemplates(limit, offset,
            pageCursor, pageSize, type, initializationPhase);
        - lang: Python
          source: >-
            response =
            fireblocks.contract_templates.get_contract_templates(limit, offset,
            page_cursor, page_size, type, initialization_phase);
components:
  schemas:
    TemplatesPaginatedResponse:
      type: object
      properties:
        data:
          type: array
          description: The data of the current page
          items:
            $ref: '#/components/schemas/LeanContractDto'
        next:
          type: string
          description: The ID of the next page
          example: eJ0eXAiOiJKV1QiLCJhbGcOiJIUzI1NiJ9
          nullable: true
      required:
        - data
    LeanContractDto:
      type: object
      properties:
        id:
          type: string
          example: b70701f4-d7b1-4795-a8ee-b09cdb5b850d
          description: The unique identifier of the contract template
        name:
          type: string
          example: My Contract
          description: The name of the contract template
        description:
          type: string
          example: an ERC20 implementation
          description: A short description of the contract template
        attributes:
          example:
            useCases:
              - Stablecoin
              - CBDC
            standards:
              - ERC-20
              - ERC-1400
            auditor:
              name: MyAuditor
              imageURL: https://my-images.com/my-image.jpg
              link: https://my-auditor.com/my-audit-report
          description: >-
            The attributes related to this contract template. It will be
            displayed in the tokenization page
          allOf:
            - $ref: '#/components/schemas/ContractAttributes'
        isPublic:
          type: boolean
          example: true
          description: >-
            Is this a contract that is viewable by all fireblocks's users or is
            it visible only for this workspace
        canDeploy:
          type: boolean
          example: true
          description: >-
            True if the workspace allowed to deploy this contract, false
            otherwise
        owner:
          type: string
          example: b70701f4-d7b1-4795-a8ee-b09cdb5b850d
          description: >-
            The workspace id of the owner of this contract template. If it's a
            private contract, only this workspace will be allowed to deploy it
        vendor:
          description: >-
            The details of the vendor of this contract template. Applicable only
            for public contract templates
          allOf:
            - $ref: '#/components/schemas/VendorDto'
        type:
          type: string
          enum:
            - FUNGIBLE_TOKEN
            - NON_FUNGIBLE_TOKEN
            - NON_TOKEN
            - TOKEN_EXTENSION
            - TOKEN_UTILITY
      required:
        - id
        - name
        - description
        - isPublic
    ErrorSchema:
      type: object
      properties:
        message:
          type: string
        code:
          type: number
    ContractAttributes:
      type: object
      properties:
        useCases:
          type: array
          items:
            type: string
        standards:
          type: array
          items:
            type: string
        auditor:
          $ref: '#/components/schemas/AuditorData'
      required:
        - useCases
        - standards
        - auditor
    VendorDto:
      type: object
      properties:
        id:
          type: string
          example: b70701f4-d7b1-4795-a8ee-b09cdb5b4453
          description: The unique identifier of the vendor of this contract template
        name:
          type: string
          example: Fireblocks
          description: The name of the vendor of this contract template
      required:
        - id
        - name
    AuditorData:
      type: object
      properties:
        name:
          type: string
        imageURL:
          type: string
        link:
          type: string
      required:
        - name
        - imageURL
        - link
  responses:
    Error:
      description: Error Response
      headers:
        X-Request-ID:
          $ref: '#/components/headers/X-Request-ID'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorSchema'
  headers:
    X-Request-ID:
      schema:
        type: string
      description: >-
        Unique ID correlated to the API request. Please provide it in any
        support ticket you create or on Github issues related to Fireblocks SDKs

````